# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
backups = pc.backups.list()
print(backups)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const backups = await pc.backups.list();
console.log(backups);
package main
import (
"context"
"encoding/json"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v7/pinecone"
)
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: os.Getenv("PINECONE_API_KEY"),
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
backups, err := pc.ListBackups(ctx, nil)
if err != nil {
log.Fatalf("Failed to list backups: %v", err)
}
out, err := json.MarshalIndent(backups, "", " ")
if err != nil {
log.Fatalf("Failed to marshal response: %v", err)
}
fmt.Println(string(out))
}
PINECONE_API_KEY="YOUR_API_KEY"
curl -X GET "https://api.pinecone.io/backups" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07" \
-H "accept: application/json"
{
"data": [
{
"backup_id": "670e8400-e29b-41d4-a716-446655440000",
"cloud": "aws",
"created_at": "2025-03-15T10:30:00.000Z",
"description": "Monthly backup of production index",
"name": "backup-2025-03-15",
"namespace_count": 3,
"record_count": 120000,
"region": "us-east-1",
"schema": {
"fields": {
"your_vector": {
"dimension": 1536,
"metric": "cosine",
"type": "dense_vector"
}
}
},
"size_bytes": 10000000,
"source_index_id": "idx_456",
"source_index_name": "my-index",
"status": "Ready",
"tags": {
"environment": "production",
"type": "monthly"
}
},
{
"backup_id": "670e8400-e29b-41d4-a716-446655440001",
"cloud": "aws",
"created_at": "2025-03-20T15:45:00.000Z",
"description": "Pre-deployment safety backup",
"name": "backup-2025-03-20",
"namespace_count": 4,
"record_count": 125000,
"region": "us-east-1",
"schema": {
"fields": {
"body": {
"full_text_search": {
"language": "en"
},
"store_text": true,
"type": "string"
},
"title": {
"full_text_search": {
"language": "en"
},
"store_text": true,
"type": "string"
}
}
},
"size_bytes": 10500000,
"source_index_id": "idx_789",
"source_index_name": "my-fts-index",
"status": "Ready",
"tags": {
"environment": "production",
"type": "pre-deploy"
}
}
]
}{
"error": {
"code": "INVALID_ARGUMENT",
"message": "Bad request. The request body included invalid request parameters."
},
"status": 400
}Invalid API key{
"error": {
"code": "PERMISSION_DENIED",
"message": "Access denied: Permission control::backups::list is required"
},
"status": 403
}{
"error": {
"code": "UNKNOWN",
"message": "Internal server error"
},
"status": 500
}Backups
List backups for all indexes in a project
List all backups for a project.
GET
/
backups
# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
backups = pc.backups.list()
print(backups)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const backups = await pc.backups.list();
console.log(backups);
package main
import (
"context"
"encoding/json"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v7/pinecone"
)
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: os.Getenv("PINECONE_API_KEY"),
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
backups, err := pc.ListBackups(ctx, nil)
if err != nil {
log.Fatalf("Failed to list backups: %v", err)
}
out, err := json.MarshalIndent(backups, "", " ")
if err != nil {
log.Fatalf("Failed to marshal response: %v", err)
}
fmt.Println(string(out))
}
PINECONE_API_KEY="YOUR_API_KEY"
curl -X GET "https://api.pinecone.io/backups" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07" \
-H "accept: application/json"
{
"data": [
{
"backup_id": "670e8400-e29b-41d4-a716-446655440000",
"cloud": "aws",
"created_at": "2025-03-15T10:30:00.000Z",
"description": "Monthly backup of production index",
"name": "backup-2025-03-15",
"namespace_count": 3,
"record_count": 120000,
"region": "us-east-1",
"schema": {
"fields": {
"your_vector": {
"dimension": 1536,
"metric": "cosine",
"type": "dense_vector"
}
}
},
"size_bytes": 10000000,
"source_index_id": "idx_456",
"source_index_name": "my-index",
"status": "Ready",
"tags": {
"environment": "production",
"type": "monthly"
}
},
{
"backup_id": "670e8400-e29b-41d4-a716-446655440001",
"cloud": "aws",
"created_at": "2025-03-20T15:45:00.000Z",
"description": "Pre-deployment safety backup",
"name": "backup-2025-03-20",
"namespace_count": 4,
"record_count": 125000,
"region": "us-east-1",
"schema": {
"fields": {
"body": {
"full_text_search": {
"language": "en"
},
"store_text": true,
"type": "string"
},
"title": {
"full_text_search": {
"language": "en"
},
"store_text": true,
"type": "string"
}
}
},
"size_bytes": 10500000,
"source_index_id": "idx_789",
"source_index_name": "my-fts-index",
"status": "Ready",
"tags": {
"environment": "production",
"type": "pre-deploy"
}
}
]
}{
"error": {
"code": "INVALID_ARGUMENT",
"message": "Bad request. The request body included invalid request parameters."
},
"status": 400
}Invalid API key{
"error": {
"code": "PERMISSION_DENIED",
"message": "Access denied: Permission control::backups::list is required"
},
"status": 403
}{
"error": {
"code": "UNKNOWN",
"message": "Internal server error"
},
"status": 500
}# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
backups = pc.backups.list()
print(backups)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const backups = await pc.backups.list();
console.log(backups);
package main
import (
"context"
"encoding/json"
"fmt"
"log"
"os"
"github.com/pinecone-io/go-pinecone/v7/pinecone"
)
func main() {
ctx := context.Background()
pc, err := pinecone.NewClient(pinecone.NewClientParams{
ApiKey: os.Getenv("PINECONE_API_KEY"),
})
if err != nil {
log.Fatalf("Failed to create Client: %v", err)
}
backups, err := pc.ListBackups(ctx, nil)
if err != nil {
log.Fatalf("Failed to list backups: %v", err)
}
out, err := json.MarshalIndent(backups, "", " ")
if err != nil {
log.Fatalf("Failed to marshal response: %v", err)
}
fmt.Println(string(out))
}
PINECONE_API_KEY="YOUR_API_KEY"
curl -X GET "https://api.pinecone.io/backups" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-07" \
-H "accept: application/json"
Authorizations
Headers
Required date-based version header
Query Parameters
The number of results to return per page.
The token to use to retrieve the next page of results. A malformed token is rejected with 400.
Response
This operation returns a list of all the backups for the given project.
Was this page helpful?